Subject: bug#24228: [bug-diffutils] bug#24228: new snapshot available: diffutils-3.4.9-d647

From: Assaf Gordon <[email-masked]>
Date: Mon, 15 Aug 2016 18:22:48 -0400

Hello,

On 08/15/2016 01:33 AM, Jim Meyering wrote:
> There's really only one change in this delta: the diff3 workaround for
> missing seq.
> [...]
> diffutils snapshot:
>   http://meyering.net/diff/diffutils-3.4.9-d647.tar.xz

This tarball now passes on various systems, including the previously failed 'diff3' .

However,
only on AIX, gnulib's "test-init.sh" fails (perhaps because of the recent update? though the error seems related to 'diff -U3').
Gnulib's test do not fail on most other systems (except minix, netbsd which were discussed before and deemed as not "show stoppers").

===========================================================
GNU diffutils 3.4.9-d647: gnulib-tests/test-suite.log
===========================================================

# TOTAL: 167
# PASS:  140
# SKIP:  26
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

FAIL: test-init.sh
==================

++ initial_cwd_=/home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests gt-test-init.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests
+++ template_=gt-test-init.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
++++ ls -dgo /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
+++ perms='drwx------    2        256 Aug 15 11:41 /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
+++ return
++ test_dir_=/home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
++ cd /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/.
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/.:/home/agn/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java5/jre/bin:/usr/java5/bin
+ create_exe_shims_ /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ fail=0
+ test_compare
+ touch empty
+ echo xyz
+ compare /dev/null /dev/null
+ test -s out
+ case $- in
+ compare /dev/null empty
+ test -s out
+ case $- in
+ compare in in
+ test -s out
+ case $- in
+ compare /dev/null in
+ cat
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -U3 exp out
+ rm -f diff.out
+ true
+ case $- in
+ compare empty in
+ grep @ out
+ sed 's/	.*//;/^@@/d' out
+ mv k out
+ cat
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -U3 exp out
+ cat diff.out
--- exp	2016-08-15 11:41:43.000000000 -0700
+++ out	2016-08-15 11:41:43.000000000 -0700
@@ -1,3 +1,3 @@
--- empty
+++ in
- +xyz
+ + xyz
+ rm -f diff.out
+ false
+ fail=1
+ case $- in
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests
+ chmod -R u+rwx /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
+ rm -rf /home/agn/pretest.2016-08-15.CBYCef/diffutils-3.4.9-d647.glMPj0/diffutils-3.4.9-d647/gnulib-tests/gt-test-init.sh.DTCL
+ exit 1
FAIL test-init.sh (exit status: 1)

====================================================
GNU diffutils 3.4.9-d647: tests/test-suite.log
====================================================

# TOTAL: 18
# PASS:  17
# SKIP:  1
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0